## org.hibernate.tool.hbm2ddl
Class SchemaExport

    java.lang.Object
      org.hibernate.tool.hbm2ddl.SchemaExport

    public class SchemaExport

extends Object

Commandline tool to export table schema to the database. This class may also be called from inside an application.

Author:
  Daniel Bradby, Gavin King

Constructor Summary
`SchemaExport(Configuration cfg)` Create a schema exporter for the given Configuration
`SchemaExport(Configuration cfg, Connection connection)` Create a schema exporter for the given Configuration, using the supplied connection for connectivity.
`SchemaExport(Configuration cfg, Properties properties)` Deprecated. properties may be specified via the Configuration object
`SchemaExport(Configuration cfg, Settings settings)` Create a schema exporter for the given Configuration and given settings

Method Summary
`void` `create(boolean script, boolean export)` Run the schema creation script.
`void` `drop(boolean script, boolean export)` Run the drop schema script.
`void` `execute(boolean script, boolean export, boolean justDrop, boolean justCreate)`
`List` `getExceptions()` Returns a List of all Exceptions which occured during the export.
`static void` `main(String[] args)`
`SchemaExport` `setDelimiter(String delimiter)` Set the end of statement delimiter
`SchemaExport` `setFormat(boolean format)` Should we format the sql strings?
`SchemaExport` `setHaltOnError(boolean haltOnError)` Should we stop once an error occurs?
`SchemaExport` `setImportFile(String filename)` Deprecated. use `org.hibernate.cfg.Environment.HBM2DDL_IMPORT_FILE`
`SchemaExport` `setOutputFile(String filename)` For generating a export script file, this is the file which will be written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaExport

    public SchemaExport(Configuration cfg)
                 throws HibernateException

  Create a schema exporter for the given Configuration

  Parameters:
    `cfg` - The configuration from which to build a schema export.
  Throws:
    `HibernateException` - Indicates problem preparing for schema export.

### SchemaExport

    public SchemaExport(Configuration cfg,
                        Settings settings)
                 throws HibernateException

  Create a schema exporter for the given Configuration and given settings

  Parameters:
    `cfg` - The configuration from which to build a schema export.
    `settings` - The 'parsed' settings.
  Throws:
    `HibernateException` - Indicates problem preparing for schema export.

### SchemaExport

    public SchemaExport(Configuration cfg,
                        Properties properties)
                 throws HibernateException

  Deprecated. properties may be specified via the Configuration object

  Create a schema exporter for the given Configuration, with the given database connection properties.

  Parameters:
    `cfg` - The configuration from which to build a schema export.
    `properties` - The properties from which to configure connectivity etc.
  Throws:
    `HibernateException` - Indicates problem preparing for schema export.

### SchemaExport

    public SchemaExport(Configuration cfg,
                        Connection connection)
                 throws HibernateException

  Create a schema exporter for the given Configuration, using the supplied connection for connectivity.

  Parameters:
    `cfg` - The configuration to use.
    `connection` - The JDBC connection to use.
  Throws:
    `HibernateException` - Indicates problem preparing for schema export.

Method Detail

### setOutputFile

    public SchemaExport setOutputFile(String filename)

  For generating a export script file, this is the file which will be written.

  Parameters:
    `filename` - The name of the file to which to write the export script.
  Returns:
    this

### setImportFile

    public SchemaExport setImportFile(String filename)

  Deprecated. use `org.hibernate.cfg.Environment.HBM2DDL_IMPORT_FILE`

  An import file, containing raw SQL statements to be executed.

  Parameters:
    `filename` - The import file name.
  Returns:
    this

### setDelimiter

    public SchemaExport setDelimiter(String delimiter)

  Set the end of statement delimiter

  Parameters:
    `delimiter` - The delimiter
  Returns:
    this

### setFormat

    public SchemaExport setFormat(boolean format)

  Should we format the sql strings?

  Parameters:
    `format` - Should we format SQL strings
  Returns:
    this

### setHaltOnError

    public SchemaExport setHaltOnError(boolean haltOnError)

  Should we stop once an error occurs?

  Parameters:
    `haltOnError` - True if export should stop after error.
  Returns:
    this

### create

    public void create(boolean script,
                       boolean export)

  Run the schema creation script.

  Parameters:
    `script` - print the DDL to the console
    `export` - export the script to the database

### drop

    public void drop(boolean script,
                     boolean export)

  Run the drop schema script.

  Parameters:
    `script` - print the DDL to the console
    `export` - export the script to the database

### execute

    public void execute(boolean script,
                        boolean export,
                        boolean justDrop,
                        boolean justCreate)

### main

    public static void main(String[] args)

### getExceptions

    public List getExceptions()

  Returns a List of all Exceptions which occured during the export.

  Returns:
    A List containig the Exceptions occured during the export

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.